2 July 2026

Changes between 5 June and 2 July 2026

General

Docs

The Get started category was restructured to make it easier to explore the Pismo platform and products and start building. As part of the restructure, the following changes.

  • Introduced a Start building category to centralize onboarding and get started guides. You can still access these guides within their features; for example, Get started with card issuing is both part of the Start building category, and the Card issuing category.
  • Created a new Learn about the Pismo platform category that helps customers understand the main building blocks of the platform, including Main solutions, Core objects, Program types, Environments, and Data events.
  • Renamed the Pismo platform onboarding to Onboarding for new customers.
  • Moved Get started with Ask AI under Get started with the Pismo Developers Portal.
  • Moved the following guides and sections to the Resources category:
  • The title of the Rate limiting on the Pismo platform guide was changed from Rate limiting and this guide was moved from the Guides area to the APIs, as part of the Get started category..

Core banking

New

The new endpoint Force close transaction banking account allows you to initiate an asynchronous force‑closure of a transaction banking account by placing a closure instruction in the processing queue. This ensures all business rules, such as balance checks, earmark review, and status validation, are applied during asynchronous processing rather than at request time.

Docs

The new Divisions guide is now available. It covers how divisions work, how to model them, and recommended best practices.

Card issuing - Statements

Docs

The new Creating payment agreements with custom transactions guide is now available. This guide describes how you can use custom transactions to create a transaction flow for a payment agreement.

Control Center

New

The Loans feature was added to Control Center. This new feature adds support for viewing and managing customer loans, including:

  • Viewing the list of loans and individual loan details
  • Monitoring loan repayment progress
  • Making and tracking disbursements
  • Adjusting repayment installments

General

Deprecated

The CRM API and all of its endpoints (/crm/*) was decommissioned and removed from the Developers Portal and added to the API endpoints removed list.

Accounts

Deprecated

The following decommissioned endpoints were removed from the Developers Portal and added to the API endpoints removed list.

  • GET /v2/accounts/:accountld/statements
  • GET /v1/accounts/:accountld/statements
  • POST /v2/customers/document-number
  • GET /v1/customers/:customerId/authorizations
  • PUT /v1/accounts/:accountld/duedate
  • GET /v1/accounts/:accountld/authorizations

Client webhooks

Updated

There is a new URL to access the Pismo’s public keys for Webhook requests: "https://sandbox.pismolabs.io/v1/certs". The old URL, "https://sandbox.pismolabs.io/robot/v1/metadata/x509/[email protected]", will continue to work for existing clients but it will be phased out. All clients are encouraged to use the new URL. We will communicate in advance via a Pismo Bulletin when the old URL will be fully deprecated. This change is reflected in the Anti-fraud code sample (Go) section of the Client webhooks guide.

Docs

The following changes were made to the Zero balance validations webhook fields in the Client webhooks guide.

  • The following request fields were rewritten for clarity and usability: processing_code, transaction_type, and transaction_timestamp.
  • The amount_transaction field was updated to correctly indicate it is not a required field.

Payments

Updated

The beneficiary_id field was added in the request body of the following endpoints.

Setup

Updated

Filter templates are now supported in balance configurations. The following new endpoints are available.

The new filter_template_id field is available in the following events.

Events

New

The following events are generated when Update deposit account attachment overrides and Update deposit program attachment overrides are called.

Updated

In the Token migration completed event, a third result, ACCEPTED, can be reported from the event generated when a card token migration finishes.

Docs

The AWS SNS event integration tutorial was updated in the following ways: added a Service Desk ticket template, required AWS configuration fields, routing instructions, and a streamlined quick-guide structure to simplify setup.

Deprecated

The unused Pre-authorization captured event was removed.

Reports

Deprecated

The deprecated Account limits report v1 was decommissioned and removed from the Developers Portal. It was replaced by the Account limits report v2.

Banking operations

New

The new Open deposit account endpoint allows you to create or locate a transaction banking account and attach a validated deposit product in a single request.

New

The following new interest-bearing endpoints are now available in beta release.

Updated

In the Register Brazilian bank account endpoint, the banking scheme now allows alphanumeric characters, previously it only supported numerics.

Updated

The field effective_date was introduced to indicate the date when the deposit product account attachment becomes valid. This field was added to the following endpoints.

In addition, another field attached_at was also added to these two endpoints to indicate when the product attachment API was last called.

Updated

The following endpoints were marked as [beta].

Updated

The fixed_interest_rate field was added in the following endpoints.

Docs

Details were added to the error response documentation for all the endpoints under Banking - Interest engine, such as 400 Bad request, 401 Unauthorized, and so on.

Docs

In the Update account interest endpoint, detailed instructions were added in the request body that certain rules apply when you choose either of the interest types: benchmark-indexed rate or fixed rate.

Deprecated

The following endpoints are now deprecated and scheduled to be removed.

  • Create maturity instruction override POST /interest-bearing/v1/create-maturity-instruction-override
  • Update maturity instruction override PATCH /savings-products/v1/create-maturity-instruction-override
  • Get maturity instruction override GET /savings-products/v1/create-maturity-instruction-override 
  • Delete maturity instruction override DELETE /interest-bearing/v1/create-maturity-instruction-override 

Integrated payments

Updated

New error messages were introduced for the following endpoints to improve clarity and help diagnose issues more easily.

In Issue bank slip:

400:

  • EIP0013: Accounts - API returned 4xx error
  • EIP0077: Address not found for this Account

403 :

  • EIP0005: Missing required header: 'x-tenant'
  • EIP0006: Invalid account id header: 'x-account-id'
  • EIP0009: Missing required header: 'x-idempotency-key'
  • EIP0029: Account blocked or cancelled

409 :

  • EIP0042: client request id already exists
  • EIP0065: BankingGatewayAPI - API returned 409 provider error

500 :

  • EIP0070: BankingGateway API - Failed to unmarshal error response body
  • EIP0074: Bankslip issue database error

In Get issued bank slip:

403:

  • EIP0005: Missing required header {x-tenant}
  • EIP0006: Invalid account id header {x-account-id}

409: EIP0065: BankingGatewayAPI - API returned 409 provider error

In Delete issued bank slip:

422: EIP0076: Bankslips issue ExternalID invalid

500: EIP0074: Bankslip issue database error

In Pay bank slip:

400:

  • EIP0005: Missing required header {x-tenant}
  • EIP0006: Missing account-id header {x-account-id}
  • EIP0020: P2p - API returned 4xx error
  • EIP0061: BankingGatewayAPI - Invalid bill for payment

403:

  • EIP0005: Missing required header: 'x-tenant'
  • EIP0006: Invalid account id header: 'x-account-id'
  • EIP0009: Missing required header: 'x-idempotency-key'
  • EIP0030: Entity's account id does not match x-account-id header

404: EIP0049: Convert barcode to digitable line failed

409:

  • EIP0063: Bankslips is already in processing or paid
  • EIP0065: BankingGatewayAPI - API returned 409 provider error

500: EIP0070: BankingGateway API - Failed to unmarshal error response body

502:

  • EIP0018: IntlBankAccounts - API returned 5xx error
  • EIP0021: P2p - API returned 5xx error

In Validate bank slip:

403:

  • EIP0005: Missing required header: 'x-tenant'
  • EIP0006: Invalid account id header: 'x-account-id'

409: EIP0065: BankingGatewayAPI - API returned 409 provider error

500: EIP0070: BankingGateway API - Failed to unmarshal error response body

502: EIP0024: BankingGatewayAPI - API returned 5xx error

In List bank slip receipt:

403: EIP0029: Account blocked or cancelled

500: EIP0014: Accounts - API returned 5xx error

In Perform cash-out:

403: EIP0014: Accounts - API returned 5xx error

500:

  • EIP0019: P2p - API timeout error
  • EIP0028: Transaction database error
  • EIP0053: Send integrity message error
  • EIP0069: P2P API - Failed to unmarshal error response body
  • EIP0070: BankingGateway API - Failed to unmarshal error response body

502:

  • EIP0018: IntlBankAccounts - API returned 5xx error
  • EIP0021: P2p - API returned 5xx error
  • EIP0024: BankingGatewayAPI - API returned 5xx error

504: EIP0002: API request timeout

In List transfer:

400:

  • EIP0010: Unmarshal error
  • EIP0045: Invalid value for query param 'per_page'
  • EIP0046: Invalid value for datetime query parameter. RFC3339 format must be used
  • EIP0012: Account not found
  • EIP0013: Accounts - API returned 4xx error
  • EIP0047: Invalid value for query param 'authorization_id'

403:

  • EIP0005: Missing required header: 'x-tenant'
  • EIP0006: Invalid account id header: 'x-account-id'
  • EIP0029: Account blocked or cancelled

500:

  • EIP0004: HTTP request error
  • EIP0007: Internal error
  • EIP0011: Accounts API timeout error
  • EIP0014: Accounts - API returned 5xx error
  • EIP0028: Transaction database error

In Register eBill:

400:

  • EIP0012: Account not found
  • EIP0013: Accounts - API returned 4xx error
  • EIP0023: BankingGatewayAPI - API returned 4xx error

409:

  • EIP0065: BankingGatewayAPI - API returned 409 provider error
  • EIP0090: Ebill registration is already being processed

500:

  • EIP0011: Accounts API timeout error
  • EIP0014: Accounts - API returned 5xx error
  • EIP0089: Ebill database error
  • EIP0070: BankingGateway API - Failed to unmarshal error response body

In Get eBill registration:

403:

  • EIP0005: Missing required header: 'x-tenant'
  • EIP0006: Invalid account id header: 'x-account-id'

404: EIP0088: Ebill registration not found

500: EIP0089: Ebill database error

In Delete eBill registration:

400:

  • EIP0012: Account not found
  • EIP0013: Accounts - API returned 4xx error
  • EIP0091: Ebill registration is not deletable

403:

  • EIP0005: Missing required header: 'x-tenant'
  • EIP0006: Invalid account id header: 'x-account-id'

404:

  • EIP0088: Ebill registration not found
  • EIP0062: BankingGatewayAPI - Register data not found in provider

409: EIP0065: BankingGatewayAPI - API returned 409 provider error

500:

  • EIP0011: Accounts API timeout error
  • EIP0014: Accounts - API returned 5xx error
  • EIP0089: Ebill database error

Instant payments

Updated

The taxes object was added in the following endpoints. The new object is for Brazil specific taxes. Currently, it is only available for direct participants in the EXT environment.

Docs

In the Return FPS payment endpoint, the description of the amount body parameter was updated and EFPS0096 partial return error was added to the 400 Bad Request response.

Payment rails

New

The new Return BACS direct credit inbound payment endpoint is now available in beta release.

Transactions banking

Updated

The flex_controls and rates options were added to the validation rules (validation_rules) in credit and debit validation in the following endpoints.

Updated

The Create transaction banking account endpoint now returns HTTP 201 for successful account creation. It previously returned HTTP 200 in error.

Deprecated

The following decommissioned endpoints were removed from the Developers Portal and added to the API endpoints removed list.

  • Create operation block POST /corporate/v1/operations-blocks
  • List operation block GET /corporate/v1/operations-blocks
  • Revoke operation block DELETE /corporate/v1/operations-blocks/{operationsBlockId}

Card network integration

Docs

The Processing codes guide was updated to remove the statement that all processing codes must have a reversal as there are some legacy codes that do not have reversals.

Docs

The Network authorization event description in the Authorization events guide was updated to clarify that balance inquiries or transactions do not generate a Network authorization event.

The description of the Network authorization received event was updated to clarify that balance inquiries or transactions do not generate a Network authorization event. In addition, the event description now properly explains that this event is for both Full balance and Zero balance issuers.

Docs

To clarify that airport_tax is a lifecycle marker and not a data carrier, an Airport tax note was added to the Network authorization received event description in the Authorization events guide.

A new topic, “How to correctly read airport tax amounts across two categories”, was added to the Linking authorization with confirmation events section of the Linking authorizations guide.

Docs

The Authorization validation rules for card network operations guide and the Rule list guide were updated to explain that both The Account Number Inquiry (ANI) and the Address Verification Service (AVS) rules apply to both Full balance and Zero balance issuers, but in different ways.

Statements

Docs

The new Credit cycle dates and time periods guide is now available. It contains some information moved from the other guides. The following guides related to calendars were updated and reorganized.

Docs

The description was updated for the Create or update statement minimum amount due endpoint.

Docs

The Bypassing the MAD calculation strategy section was added to the Minimum amount due calculation guide.

Docs

The Account collection status and Credit liquidation guides were updated to clarify various points.

Docs

The first two descriptions in the table in Minimum amount due calculation were updated to clarify how the calculations are done.

Docs

A warning callout was added to the Update a scheduled charge section in the Recurring charges guide.

Visa Flexible Credentials

Docs

The endpoint paths for Visa Flexible Credentials in the documentation were missing a beginning “/flex_credentials”. This was corrected.

Lending

Docs

The repayment_calculation_method and interest_plan_ids fields were documented in the Get loan product and List loan products guides.

Docs

The [Create loan adjustment](doc: createloanadjustmentv2) endpoint was marked as [beta], the response code was changed from 201 to 202, and the response message was corrected from "Loan product created" to "Loan adjustment created".

Docs

Information about multiple disbursements was added to the Disburse a loan guide, including configuration requirements and behavior when not enabled.

Deprecated

The following endpoints were decommissioned and removed from the Developers Portal and added to the API endpoints removed list.

  • Create loan product POST /lending/v1/loan-products
  • List loans GET /lending/v1/loans
  • List loan products GET /lending/v1/loan-products
  • Get loan product GET /lending/v1/loan-products/{productId}
  • Simulate loan booking POST /lending/v1/simulations
  • Create charge plan POST /lending/v1/charge-plans
  • Create loan booking POST /lending/v1/loans
  • Get loan details GET /lending/v1/loans/{loanId}
  • Disburse loan POST /lending/v1/loans/{loanId}/disburse
  • Register repayment POST /lending/v1/loans/{loanId}/repayment
  • Register simulation for EFS POST /lending/v1/loans/{loanId}/early-settlement/simulate
  • Apply EFS simulation POST /lending/v1/loans/{loanId}/early-settlement/{efsId}/register
  • Simulate prepayment POST /lending/v1/loans/{loanId}/prepayment/simulate
  • Apply prepayment simulation POST /lending/v1/loans/{loanId}/prepayment/{prepaymentId}/register
  • Create repayment hierarchy POST /lending/v1/repayment-hierarchies
  • List repayment hierarchies GET /lending/v1/repayment-hierarchies
  • Create penalty plan POST /lending/v1/penalty-plans
  • Get penalty plan GET /lending/v1/penalty-plans
  • Cancel loan DELETE /lending/v1/loans/{loanId}
  • Enable repayment hierarchy PUT /lending/v1/repayment-hierarchies/{code}/enable
  • Disable repayment hierarchy PUT /lending/v1/repayment-hierarchies/{code}/disable
  • Get repayment hierarchy GET /lending/v1/repayment-hierarchies/{code}
  • Delete repayment hierarchy DELETE /lending/v1/repayment-hierarchies/{code}
  • Get loan simulation GET /lending/v1/simulations/{loanSimulationId}
  • Enable charge plan PUT /lending/v1/charge-plans/{code}/enable
  • Disable charge plan PUT /lending/v1/charge-plans/{code}/disable
  • List charge plan GET /lending/v1/charge-plans
  • Get charge plan GET /lending/v1/charge-plans/{code}
  • Delete charge plan DELETE /lending/v1/charge-plans/{code}
  • Enable penalty plan PUT /lending/v1/penalty-plans/{code}/enable
  • Disable penalty plan PUT /lending/v1/penalty-plans/{code}/disable
  • List penalty plans GET /lending/v1/penalty-plans
  • Delete penalty plan DELETE /lending/v1/penalty-plans/{code}
  • Get program configuration GET /lending/v1/program-configurations/{programId}
  • Update program configuration PUT /lending/v1/program-configurations/{programId}

Control Center

Updated

The dual approval feature was updated in Control Center. You can now request Pismo to enable dual approval for editing account limits.

Docs

An accompanying explainer video was added to the Disputes guide. The video introduces the Disputes feature in Control Center and provides an overview of its functionality.

Docs

The Get started with Control Center guide was streamlined in the following ways.